import { GraphQLSchema, GraphQLError, ValidationContext, ASTVisitor } from 'graphql';
import { DocumentFile } from '../loaders/load-typedefs';
export declare type ValidationRule = (context: ValidationContext) => ASTVisitor;
export interface LoadDocumentError {
    readonly filePath: string;
    readonly errors: ReadonlyArray<GraphQLError>;
}
export declare const validateGraphQlDocuments: (schema: GraphQLSchema, documentFiles: DocumentFile[], effectiveRules?: ValidationRule[]) => readonly LoadDocumentError[];
export declare function checkValidationErrors(loadDocumentErrors: ReadonlyArray<LoadDocumentError>): void | never;
